[NTG-context] lua-widow-control module error in LMTX

Eduardo Bohoyo ebohoyod at disroot.org
Thu Apr 21 22:08:04 CEST 2022


Hi,
I would like to know if anyone has experienced the same error with the 
lua-widow-control module when compiling the pdf:

modules > 'lua-widow-control' is loaded
open source > level 2, order 3, name 
'/opt/luametatex/texmf-modules/tex/context/third/lua-widow-control/t-lua-widow-control.mkxl'.
resolvers > lua > unknown file 'lua-widow-control.lua'
lua error > lua error on line 74 in file 
/opt/luametatex/texmf-modules/tex/context/third/lua-widow-control/t-lua-widow-control.mkxl

The odd thing is that line 75 of the t-lua-widow-control file is empty.
On the other hand, I confess that I don't know what "resolvers" means 
when it says it doesn't know the lua-widow-control.lua file. I don't see 
any mention of this file within the t-lua-widow-control module.

Could it be that this module is not yet mature for lmtx, or am I missing 
something? I have \usemodule[lua-widow-control] in my tex document, and 
I haven't forgotten to do the prescribed mtxrun --generate after 
including the module in my third-party folder of my luametatex 
installation on Arch.

Kind regards,

Edu



More information about the ntg-context mailing list